# Build a binary distributable out of tf-requests
FROM quay.io/automotive-toolchain/python3-pdm:latest as builder
WORKDIR /code
COPY pyproject.toml pdm.lock README.md ./
COPY src src
RUN pdm build --no-sdist -d build

# Use the binary distributable in the system Python environment
# so it's accessible globally in containers
FROM quay.io/automotive-toolchain/tools-container:latest
ENV DNF_OPTS="--setopt=install_weak_deps=False --setopt=tsflags=nodocs"
RUN dnf install -y \
                python3-devel \
                rsync \
 && dnf clean all -y
COPY --from=builder /code/build/*.whl /tmp/
RUN pip install --no-cache-dir /tmp/*.whl && rm /tmp/*.whl
